PULSAR
API ReferenceSystem Widget Dashboards

Add Widget

Add widget.

Authorization

bearerAuth superadmin, superuser
Authorization<token>

In: header

Scope: superadmin, superuser

Path Parameters

dashboardId*string

The dashboard's ID.

widgetId*string

The widget's ID.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

Try it live
POST
/widgets/dashboards/system/{dashboardId}/widgets/{widgetId}

This endpoint requires authentication — use the Login page at the top of the API Reference, or paste a token in the Authorization section below.

curl -X POST "https://example.com/widgets/dashboards/system/string/widgets/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "string",  "widgetId": "string",  "dashboardId": "string",  "specOverride": {    "property1": null,    "property2": null  },  "visualConfig": {    "property1": null,    "property2": null  },  "widget": {    "id": "string",    "title": {      "en": "string",      "es": "string"    },    "description": {      "en": "string",      "es": "string"    },    "spec": {      "property1": null,      "property2": null    },    "isSystem": true,    "isFavorited": true,    "featureRequirements": "string",    "labels": "string",    "createdAt": "string",    "updatedAt": "string",    "deletedAt": "string",    "thumbnailUrl": "string",    "compressedThumbnailUrl": "string"  },  "createdAt": "string",  "updatedAt": "string",  "deletedAt": "string"}